Final Cut Pro 7 what code?

Discussion in 'PowerPC Macs' started by macca1980, Aug 1, 2013.

  1. macca1980 macrumors member

    Joined:
    Aug 1, 2013
    #1
    What part of this code do I remove to make this install on my G5?

    <?xml version="1.0"?>
    <installer-gui-script minSpecVersion='1.0040'>
    <platforms>
    <client arch="i386,ppc"/>
    </platforms>
    <options hostArchitectures='i386,ppc'/>
    <title>TITLE_DIST</title>
    <welcome file='Welcome.rtf'/>
    <license file='License.rtf'/>
    <background file='background.tif'/>
    <background scaling='tofit'/>
    <background alignment='topleft'/>
    <options customize='always'/>
    <options allow-external-scripts='yes'/>
    <options mpkg='com.apple.mpkg.FinalCutStudio'/>
    <script>

    function oldDSPContent()
    {
    var rnum = system.runOnce("DSPContentChecker");
    if( rnum == 1 ){ return true; }
    return false;
    }

    function installationCheck()
    {
    if( !system.env.COMMAND_LINE_INSTALL )
    {
    if( !isIntel() )
    {
    my.result.message = system.localizedString('ERROR_INTEL');
    my.result.type = 'Fatal';
    return false;
    }

    if( system.compareVersions(system.version.ProductVersion,"10.5.6") < 0 )
    {
    my.result.message = system.localizedString('ERROR_OSVER');
    my.result.type = 'Fatal';
    return false;
    }

    var rnum = system.runOnce("installtmp");
    var tmpfile = "/tmp/insttmp_" + rnum.toString();
    var res = system.runOnce("Requirements\ Checker.app/Contents/MacOS/Requirements\ Checker", "-silent", "Default", tmpfile);
    if( res == 0 )
    {
    return true;
    }
    else if( res == 1 )
    {
    var plist = system.files.plistAtPath(tmpfile);
    my.result.message = plist.RequirementsOutput;
    my.result.type = 'Fatal';
    return false;
    }
    else if( res == 2 )
    {
    var plist = system.files.plistAtPath(tmpfile);
    my.result.message = plist.RequirementsOutput;
    my.result.type = 'Warn';
    return false;
    }
    else if( res == 10 )
    {
    var plist = system.files.plistAtPath(tmpfile);
    my.result.message = system.localizedString('ERROR_REQCHECK');
    my.result.type = 'Fatal';
    return false;
    }
    }

    my.result.message = "";
    return true;
    }

    function volume_check()
    {
    if( my.target.mountpoint != '/' && !system.env.COMMAND_LINE_INSTALL )
    {
    my.result.message = system.localizedString('ERROR_VOLUME');
    my.result.type = 'Fatal';
    return false;
    }

    return true;
    }

    function isIntel()
    {
    return (system.sysctl('hw.byteorder') == '1234');
    }

    function isLeopard()
    {
    return (system.compareVersions(system.version.ProductVersion,"10.5.0") >= 0) && (system.compareVersions(system.version.ProductVersion,"10.6.0") < 0);
    }

    function isNotDowngrade()
    {
    var action = my.choice.packageUpgradeAction;

    if( (action == 'downgrade') || (action == 'mixed') )
    {
    my.choice.tooltip = system.localizedStringWithFormat('TT_NEWERALREADYINSTALLED');
    return false;
    }

    return true;
    }

    function iDVDPresent( )
    {
    var app = my.target.mountpoint + '/Applications/iDVD.app';
    if( app )
    {
    var appBundle = system.files.bundleAtPath(app);
    if( appBundle ){ return true; }
    }
    my.choice.tooltip = system.localizedStringWithFormat("IDVDPATCHES_TOOLTIP");
    return false;
    }

    function AppRange(lower, upper, apps)
    {
    for( var i = 0; i < apps.length; i++ )
    {
    var app= '/Applications/' + apps + '.app';
    var appBundle = system.files.bundleAtPath(app);

    if( appBundle )
    {
    var appVersion = GetBundleFiveTupleVersion(appBundle);
    if( appBundle && (system.compareVersions(appVersion, lower) >= 0) && (system.compareVersions(appVersion, upper) < 0) ){ return true; }
    }
    }

    return false;
    }

    function AppRangeOrNotPresent(lower, upper, apps )
    {
    if( AppRange(lower, upper, apps) ){ return true; }

    var res = false;

    for( var i = 0; i < apps.length; i++ )
    {
    var app= '/Applications/' + apps + '.app';
    var appBundle = system.files.bundleAtPath(app);

    if( appBundle )
    {
    return false;
    }
    }

    return true;
    }

    function AppHigherThanRange(lower, apps)
    {
    for( var i = 0; i < apps.length; i++ )
    {
    var app= '/Applications/' + apps + '.app';
    var appBundle = system.files.bundleAtPath(app);

    if( appBundle )
    {
    var appVersion = GetBundleFiveTupleVersion(appBundle);
    if( appBundle && (system.compareVersions(appVersion, lower) >= 0) ){ return true; }
    }
    }

    return false;
    }

    function HigherThan(lower, bundle)
    {
    var appBundle = system.files.bundleAtPath(my.target.mountpoint + bundle);
    var appVersion = GetBundleFiveTupleVersion(appBundle);
    if(appBundle && (system.compareVersions(appVersion, lower) >= 0) ){ return true; } return false;
    }

    function Range(lower,upper, bundle)
    {
    var appBundle = system.files.bundleAtPath(my.target.mountpoint + bundle);
    var appVersion = GetBundleFiveTupleVersion(appBundle);
    if(appBundle && (system.compareVersions(appVersion, lower) >= 0) && (system.compareVersions(appVersion, upper) < 0)){ return true; } return false;
    }

    function GetBundleFiveTupleVersion(bundle)
    {
    if( bundle == null ){ return null; }
    var shortVers = bundle.CFBundleShortVersionString;
    shortVers = PadVersion(shortVers, 3);
    var sourceVers = bundle.SourceVersion;
    sourceVers = PadVersion(sourceVers, 1);
    var buildVers = bundle.BuildVersion;
    buildVers = PadVersion(buildVers, 1);
    var fiveTupleVers = shortVers + "." + sourceVers + "." + buildVers;
    return fiveTupleVers;
    }

    function PadVersion(version, tupleCount)
    {
    if (version == null){ version = "0"; }
    var components = version.split(".");
    if (components.length > tupleCount){ components = components.slice(0, tupleCount); }
    else{ for(; components.length<tupleCount; ){ components.push("0"); } }
    return components.join(".");
    }

    </script>
    <installation-check script='installationCheck()'/>
    <volume-check script="volume_check()"/>
    <choices-outline>
    <line choice="FCPApp"/>
    <line choice="Color"/>
    <line choice="MotionGroup">
    <line choice="MotionApp"/>
    <line choice="MotionContentGroupings">
    <line choice="MotionContentTemplates"/>
    <line choice="MotionInstalledMedia"/>
    <line choice="MotionInstalledMedia2"/>
    </line>
    <line choice="MotionLiveFonts"/>
    </line>
    <line choice="SoundtrackProGroup">
    <line choice="SoundtrackProApp"/>
    <line choice="SurroundImpulseResponseFiles"/>
    <line choice="SoundtrackProContent">
    <line choice="SoundtrackProSoundEffects"/>
    <line choice="SoundtrackProMusicBeds"/>
    <line choice="SoundtrackProMusicLoops"/>
    </line>
    </line>
    <line choice="Compressor"/>
    <line choice="DSPGroup">
    <line choice="DSPApp"/>
    <line choice="DSPContentGroup">
    <line choice="NTSCTemplates">
    <line choice="HDDVDNTSC"/>
    <line choice="SDDVDNTSC"/>
    </line>
    <line choice="PALTemplates">
    <line choice="HDDVDPAL"/>
    <line choice="SDDVDPAL"/>
    </line>
    </line>
    <line choice="iDVDPatches"/>
    </line>
    <line choice="AppleQmaster"/>
    <line choice="CTApp"/>
    <!-- invisible choices for shared components -->
    <line choice="SharedComponents"/>
    <line choice="ProAppsEffects"/>
    <line choice="ProCore"/>
    <line choice="ProRuntime"/>
    <line choice="SoundtrackProSupport"/>
    <line choice="ProMediaIO"/>
    <!-- -->
    <line choice="XSKey"/>
    </choices-outline>
    <choice id="FCPApp" title="TITLE_FCP"
    <choice id="MotionInstalledMedia2" title="TITLE_MOTIONINSTALLEDMEDIA2" selected="!system.env.COMMAND_LINE_INSTALL && (choices.MotionInstalledMedia.selected || choices.MotionContentTemplates.selected)" start_visible='false'>
    <pkg-ref id='com.apple.pkg.MotionInstalledMedia2' auth='Root' installKBytes="4132134" version="1.5.0.3140000.1590">x-disc://Motion%20Content%201/Installer/Packages/MotionInstalledMedia2.pkg</pkg-ref>



    Please help.
     
  2. macca1980 thread starter macrumors member

    Joined:
    Aug 1, 2013
    #2
    Just to add , I have seen comments saying remove any intel references & others saying remove installation?

    Please can you let me know specifically what part if code to remove??? I couldn't put it all here as not enough space, but hopefully it's near the functions at the beginning if not I will post remainder of code. Please help. I have a video project I need to start as soon as possible.

    Thanks
     
  3. Nameci macrumors 68000

    Nameci

    Joined:
    Oct 29, 2010
    Location:
    The Philippines...
    #3
    Let me guess, i386 is intel.
     
  4. macca1980 thread starter macrumors member

    Joined:
    Aug 1, 2013
    #4
    Hi , that doesn't work. Gives me a javascript error.
     
  5. Nameci macrumors 68000

    Nameci

    Joined:
    Oct 29, 2010
    Location:
    The Philippines...
    #5
    I am sorry I cannot help you more. I have no experience with FCP7. Other guys would chime in most definitely.
     
  6. macca1980 thread starter macrumors member

    Joined:
    Aug 1, 2013
    #6
    No , problem. My problem specifically is I need to get my footage from my 500D DSLR into final cut.
    The version I have installed is 4.5 , but this doesn't work as I need the prores422 seemingly.

    That's what has led me to trying to install a newer version & run into the problems.
     
  7. Nameci macrumors 68000

    Nameci

    Joined:
    Oct 29, 2010
    Location:
    The Philippines...
    #7
    Will it not work with FCP6?
     
  8. macca1980 thread starter macrumors member

    Joined:
    Aug 1, 2013
    #8
    I will need to look into that. I didn't realise it had that prores codec.
     
  9. Nameci macrumors 68000

    Nameci

    Joined:
    Oct 29, 2010
    Location:
    The Philippines...
    #9
    Yes, FCP6 also have prores codecs. I am not in my quad right now. And actually I am in an airport, but once I get to my quad I can confirm if prores 422 is there.
     
  10. macca1980 thread starter macrumors member

    Joined:
    Aug 1, 2013
    #10
    That would be great if you could do that when you get some time , if you manage to sort it before you reply I will let you know.
     
  11. Anonymous Freak macrumors 601

    Anonymous Freak

    Joined:
    Dec 12, 2002
    Location:
    Cascadia
  12. macca1980 thread starter macrumors member

    Joined:
    Aug 1, 2013
    #12
  13. Wildy, Aug 2, 2013
    Last edited: Aug 2, 2013

    Wildy macrumors 6502

    Joined:
    Jan 25, 2011
    #13
    Change this:
    Code:
    function isIntel()
    {
        return (system.sysctl('hw.byteorder') == '1234');
    }
    To this:
    Code:
    function isIntel()
    {
        return true;
    }
    It's essentially checking whether the CPU is big or little endian (the order data is stored in) and using that to determine whether you're running Intel or not.
     
  14. macca1980 thread starter macrumors member

    Joined:
    Aug 1, 2013
    #14
    Hi , I did this but it still gives me the "this software needs intel" error

    ----------

    Is it not to do with the function installation check ?
    I thought that was going to work there. I'm not sure what I try next other than buy a copy of FCP 6 . I really want to get this one working though

    ----------

    I got it. I changed the installation check part. With the same trick you mentioned returned false.

    Thank you so so much you are a lifesaver . I have a video project that I would rather do on my Mac as my laptop isn't cutting it.

    Thanks
     
  15. Wildy macrumors 6502

    Joined:
    Jan 25, 2011
    #15
    Sorry, I'm not thinking properly today. Obviously the function should return true not false because you want it to think you're running an Intel.
     
  16. macca1980 thread starter macrumors member

    Joined:
    Aug 1, 2013
    #16
    Ah so that would have worked also then? If I had put that to true . I think I have fluked another solution.
    Phew.
     
  17. Just1m macrumors newbie

    Joined:
    Aug 24, 2013
    #17
    This is the code I removed to get it to install:

    <installation-check script='installationCheck()'/>

    Removed the whole line and it gave me no errors when installing on g5 2.3 dualcore
     
  18. Hrududu macrumors 68020

    Hrududu

    Joined:
    Jul 25, 2008
    Location:
    Central US
    #18
    That's what I did when I installed on my quad G5. Runs more reliably than then when I did pacifist.
     
  19. 6100 macrumors newbie

    Joined:
    May 14, 2014
    Location:
    USA
    #19
    <installation-check script='installationCheck()'/>

    this worked for me
     

Share This Page